aboutgitcodebugslistschat
path: root/test
diff options
context:
space:
mode:
authorStefano Brivio <sbrivio@redhat.com>2021-10-20 00:05:11 +0200
committerStefano Brivio <sbrivio@redhat.com>2021-10-20 08:34:22 +0200
commit12cfa6444cd239dbc04391027ad3161f53b6901c (patch)
tree3fa746cef0cf3f543ebbe2e0d1535a331a1f2bd0 /test
parent7f1e7019cbd47a13dde38782d4bc7430cecff8c4 (diff)
downloadpasst-12cfa6444cd239dbc04391027ad3161f53b6901c.tar
passt-12cfa6444cd239dbc04391027ad3161f53b6901c.tar.gz
passt-12cfa6444cd239dbc04391027ad3161f53b6901c.tar.bz2
passt-12cfa6444cd239dbc04391027ad3161f53b6901c.tar.lz
passt-12cfa6444cd239dbc04391027ad3161f53b6901c.tar.xz
passt-12cfa6444cd239dbc04391027ad3161f53b6901c.tar.zst
passt-12cfa6444cd239dbc04391027ad3161f53b6901c.zip
passt: Add clang-tidy Makefile target and test, take care of warnings
Most are just about style and form, but a few were actually serious mistakes (NDP-related). Signed-off-by: Stefano Brivio <sbrivio@redhat.com>
Diffstat (limited to 'test')
-rw-r--r--test/build/static_checkers18
1 files changed, 18 insertions, 0 deletions
diff --git a/test/build/static_checkers b/test/build/static_checkers
new file mode 100644
index 0000000..6e080b4
--- /dev/null
+++ b/test/build/static_checkers
@@ -0,0 +1,18 @@
+# SPDX-License-Identifier: AGPL-3.0-or-later
+#
+# PASST - Plug A Simple Socket Transport
+# for qemu/UNIX domain socket mode
+#
+# PASTA - Pack A Subtle Tap Abstraction
+# for network namespace/tap device mode
+#
+# test/build/clang_tidy - Run source through clang-tidy(1) linter
+#
+# Copyright (c) 2021 Red Hat GmbH
+# Author: Stefano Brivio <sbrivio@redhat.com>
+
+htools clang-tidy
+
+test Run clang-tidy
+hout RET make clang-tidy; echo $?
+check [ __RET__ -eq 0 ]